Bug 255505 - devel/range-v3: Update to 0.11.0
Summary: devel/range-v3: Update to 0.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks: 255719
  Show dependency treegraph
 
Reported: 2021-04-30 08:18 UTC by Yuri Victorovich
Modified: 2021-05-10 05:00 UTC (History)
2 users (show)

See Also:
henry.hu.sh: maintainer-feedback+


Attachments
patch (2.58 KB, patch)
2021-04-30 08:18 UTC, Yuri Victorovich
no flags Details | Diff
patch-with-examples-target (2.80 KB, patch)
2021-05-09 04:17 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2021-04-30 08:18:22 UTC
Created attachment 224569 [details]
patch

Additionally, through this patch I propose to:
1. Remove the TEST option: it is replaced with the 'test' target which runs tests.
2. Remove the EXAMPLES option: it only built examples but didn't install them.
   Options that don't modify the package should be avoided.
   This is also a header-only library, installing examples would make it arch-dependent which isn't good.
   It's better to not have examples in this port.
Comment 1 Fernando Apesteguía freebsd_committer 2021-05-04 06:18:33 UTC
^Triage: Reporter is committer, assign accordingly.

^Triage: Simplifying title

^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

Thanks!
Comment 2 Henry Hu 2021-05-08 20:08:55 UTC
The patch looks good, and poudriere test passed.
regarding your proposals:
1. Looks good. Do you know if the 'test' target is automatically run by any component in the official build system?
2. There's no intention to install the examples. I'm okay with removing the option.
On the other hand, I would like to provide users with an option to build the official examples, if they want to. They can certainly do the configure & build by themselves.

re. changelog:
see release page at https://github.com/ericniebler/range-v3/releases/tag/0.11.0

Changes:
    NEW: A new concepts portability layer that short-circuits atomic constraints
    in requires clauses for better compile times when emulating concepts.
    NEW: Restored support for MSVC in /std:c++17 mode, and for MSVC's default preprocessor.
    Remove the implicit conversion from views to containers.
    Rename the following entities to be consistent with C++20's std::ranges support:
        safe_range<R> -> borrowed_range<R>
        enable_safe_range<R> -> enable_borrowed_range<R>
        safe_iterator_t<R> -> borrowed_iterator_t<R>
        safe_subrange_t<R> -> borrowed_subrange_t<R>
        readable_traits<I> -> indirectly_readable_traits<I>
        readable<I> -> indirectly_readable<I>
        writable<I> -> indirectly_writable<I>
    Added the following to the ranges::cpp20 namespace:
        Algorithm for_each_n
        Algorithm sample
        Class view_base
        Alias views::all_t
    Type __int128 is recognized as "integer-like".
    Adds concepts three_way_comparable[_with] when <=> is supported.
    Adds concepts partially_ordered[_with].
    Better conformance with C++20's use of the boolean-testable concept.
    Support C++20 coroutines.
    Honor CMake's CMAKE_CXX_STANDARD variable.
    A fix for the cardinality of views::zip[_with] (#1486).
    Add view_interface::data() member function.
    Add necessary specializations for std::basic_common_reference and
    std::common_type.
    Numerous workarounds for MSVC.
    Various CMake fixes and improvements.
    drop_while_view is not a sized_range.
    Added support for Wind River Systems.
    Bug fixes to views::group_by (#1393).
    common_[reference|type] of common_[tuple|pair] now yields a common_[tuple|pair]
    instead of a std::[tuple|pair] (#1422).
    Avoid UB when currying an lvalue in some views and actions (#1320).
Comment 3 Yuri Victorovich freebsd_committer 2021-05-09 04:17:07 UTC
Created attachment 224784 [details]
patch-with-examples-target

> 1. Looks good. Do you know if the 'test' target is automatically run by any component in the official build system?

I am not aware of any system component that runs 'test' target. I only run it by hand.

> 2. There's no intention to install the examples. I'm okay with removing the option.
> On the other hand, I would like to provide users with an option to build the official examples, if they want to. They can certainly do the configure & build by themselves.

I am attaching another patch with the 'build-examples' target.
Please let me know if this answers your concern.
Comment 4 Henry Hu 2021-05-10 00:33:07 UTC
Comment on attachment 224784 [details]
patch-with-examples-target

Thanks, this looks good.
Comment 5 Yuri Victorovich freebsd_committer 2021-05-10 04:59:24 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2021-05-10 05:00:26 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=84a4428ef729f39390c727b387b19e731d6f7ae0

commit 84a4428ef729f39390c727b387b19e731d6f7ae0
Author:     Yuri Victorovich <yuri@FreeBSD.org>
AuthorDate: 2021-05-10 04:56:38 +0000
Commit:     Yuri Victorovich <yuri@FreeBSD.org>
CommitDate: 2021-05-10 04:56:38 +0000

    devel/range-v3: Update 0.10.0 -> 0.11.0

    Changelog: https://github.com/ericniebler/range-v3/releases/tag/0.11.0

    Also:
    * Replace TEST option with 'test' target
    * Remove EXAMPLES option, add 'build-examples' target instead

    PR:             255505
    Approved by:    henry.hu.sh@gmail.com (maintainer)

 devel/range-v3/Makefile  | 26 ++++++++++++++++----------
 devel/range-v3/distinfo  |  6 +++---
 devel/range-v3/pkg-plist |  6 ++++--
 3 files changed, 23 insertions(+), 15 deletions(-)